<?php
/**
 * MAGICSPACE: pageratingreviews
 * {pageratingreviews} ... {/pageratingreviews}
 *
 * Class MagicSpaces_Pageratingreviews_Pageratingreviews
 */
class MagicSpaces_Pageratingreviews_Pageratingreviews extends Tools_MagicSpaces_Abstract {
	/**
	 * @return string
	 */
	protected function _run()
	{
	    $pageId = $this->_toasterData['id'];
        $tmpPageContent = $this->_content;

        $spaceContent = $this->_parse();
        $this->_content = $tmpPageContent;
        if (!$spaceContent) {
            $spaceContent = $this->_parse();
        }

        $isAllowed = Tools_Security_Acl::isAllowed(Tools_Security_Acl::RESOURCE_USERS);

        $ratingReviews = Pagerating_Mappers_ReviewMapper::getInstance()->getReviewsByPageId($pageId, $isAllowed);

        $content = '';
        if(!empty($ratingReviews)) {
            $reviewsCount = count($ratingReviews);

            $tmpCounter = 0;
            foreach ($ratingReviews as $rid => $review) {
                $content .= preg_replace_callback('~{\$pagerating:(reviewitem:(.+))}~uU', function($matches) use($rid, $review) {
                    $options = array_merge(explode(':', $matches[1]), array('reviewId' => $rid, 'review' => $review));
                    return Tools_Factory_WidgetFactory::createWidget('Pagerating', $options)->render();
                }, $spaceContent);

                $tmpCounter ++;
                $content .= ($tmpCounter < $reviewsCount) ? ',' : '';
            }
        }

        return $content;
	}

}
