CREATE TABLE IF NOT EXISTS `plugin_pagerating_rating` (
  `pageId` int(10) unsigned NOT NULL,
  `ratingValue` decimal(4,2) unsigned DEFAULT '0.00',
  `ratingCount` int(10) unsigned NOT NULL,
  `totalPoints` decimal(8,2) unsigned NOT NULL,
  PRIMARY KEY (`pageId`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

CREATE TABLE IF NOT EXISTS `plugin_pagerating_review` (
  `pageId` int(10) unsigned NOT NULL,
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `author` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `email` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `description` text COLLATE utf8_unicode_ci NOT NULL,
  `ratingValue` decimal(4,2) unsigned NOT NULL DEFAULT '0.00',
  `datePublished` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `verified` enum('0','1') COLLATE utf8_unicode_ci NOT NULL DEFAULT '0',
  `replyFirstname` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `replyLastname` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `replyText` text COLLATE utf8_unicode_ci DEFAULT NULL,
  `helpful` int(10) DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `pageId` (`pageId`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

CREATE TABLE IF NOT EXISTS `plugin_pagerating_configuration` (
	`name` VARCHAR(255) NOT NULL COLLATE 'utf8_unicode_ci',
	`value` VARCHAR(255) NOT NULL COLLATE 'utf8_unicode_ci',
  PRIMARY KEY (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

INSERT INTO `plugin_pagerating_configuration` (`name`, `value`)
SELECT name, value FROM `config` WHERE `name` = 'reviewNoCaptcha' AND
NOT EXISTS (SELECT `name`, `value` FROM `plugin_pagerating_configuration`
WHERE `name` = 'reviewNoCaptcha');

INSERT IGNORE INTO `email_triggers` (`enabled`, `trigger_name`, `observer`) VALUES
('1', 'newreview', 'Pagerating_MailWatchdog'),
('1', 'sendreply', 'Pagerating_MailWatchdog');

INSERT IGNORE INTO `email_triggers_actions` (`service`, `trigger`, `template`, `recipient`, `message`, `from`, `subject`)
SELECT CONCAT('email'),	CONCAT('newreview'),	NULL,	CONCAT('guest'),	CONCAT('Hi there! <br><br>Thank you for your review, it will appear on the web site after moderation.'),	CONCAT('no-reply@{$website:domain}'),	CONCAT('Thank you for your review') FROM email_triggers WHERE NOT EXISTS (SELECT `service`, `trigger`, `template`, `recipient`, `message`, `from`, `subject` FROM `email_triggers_actions` WHERE `service` = 'email' AND `recipient` = 'guest' AND `trigger` = 'newreview') LIMIT 1;

UPDATE `plugin` SET `version`='2.2.5' WHERE `name`='pagerating';
